[SAK-20296] Upgrade CKEditor to 3.5.2 to support IE9 Created: 17-Mar-2011  Updated: 26-Apr-2013  Resolved: 17-Mar-2011

Status: CLOSED
Project: Sakai
Component/s: WYSIWYG Widget (FCK & CK Editor)
Affects Version/s: 2.8.0
Fix Version/s: 2.8.0, 2.9.0

Type: Task Priority: Critical
Reporter: Noah Botimer Assignee: Noah Botimer
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified


 Description   

There are incompatibilities that cause IE9 to hang with CKEditor 3.4.1. These have been fixed in 3.5.2. The upgrade consists of simply dropping the new bundle in the ckeditor directory with _source and _samples directories removed.



 Comments   
Comment by Noah Botimer [ 17-Mar-2011 ]

The upgrade should be complete for trunk and 2.8. It is not yet tested.

Comment by Noah Botimer [ 17-Mar-2011 ]

There are some docs about the upgrade process in the source tree now. This may not be the best place for them, but they can always be moved:

https://source.sakaiproject.org/svn/reference/trunk/library/src/README-ckeditor-upgrade.txt

Comment by Sam Ottenhoff [ 17-Mar-2011 ]

I confirmed that I have 3.5.2 in trunk now. The connector to Sakai continues to work well.

Sorry I don't have IE9 to test with.

Comment by Hudson CI Server [ 17-Mar-2011 ]

Integrated in sakai trunk #467 (See http://builds.sakaiproject.org:8080/job/sakai%20trunk/467/)
SAK-20296 - Upgrading CKEditor to 3.5.2

Generated at Mon Sep 23 13:51:12 CDT 2019 using Jira 8.0.3#800011-sha1:073e8b433c2c0e389c609c14a045ffa7abaca10d.